org.apache.tinkerpop.gremlin.process.traversal

## Enum Order

- java.lang.Object
- - java.lang.Enum<Order>
  - - org.apache.tinkerpop.gremlin.process.traversal.Order

- All Implemented Interfaces:
    Serializable, Comparable<Order>, Comparator<Object>

      public enum Order
      extends Enum<Order>
      implements Comparator<Object>

  Provides `Comparator` instances for ordering traversers.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `decr` Order in descending fashion.
    `incr` Order in ascending fashion
    `keyDecr` Deprecated. As of release 3.1.1-incubating, replaced by `Column.keys`.
    `keyIncr` Deprecated. As of release 3.1.1-incubating, replaced by `Column.keys`.
    `shuffle` Order in a random fashion.
    `valueDecr` Deprecated. As of release 3.1.1-incubating, replaced by `Column.values`.
    `valueIncr` Deprecated. As of release 3.1.1-incubating, replaced by `Column.values`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `compare(Object first, Object second)`
    `abstract Order` | `reversed()` Produce the opposite representation of the current `Order` enum.
    `static Order` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Order[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Enum Constant Detail

    - #### incr

          public static final Order incr

      Order in ascending fashion
      Since:
        3.0.0-incubating

    - #### decr

          public static final Order decr

      Order in descending fashion.
      Since:
        3.0.0-incubating

    - #### keyIncr

          @Deprecated
          public static final Order keyIncr

      Deprecated. As of release 3.1.1-incubating, replaced by `Column.keys`.
      Since:
        3.0.0-incubating

    - #### valueIncr

          @Deprecated
          public static final Order valueIncr

      Deprecated. As of release 3.1.1-incubating, replaced by `Column.values`.
      Since:
        3.0.0-incubating

    - #### keyDecr

          @Deprecated
          public static final Order keyDecr

      Deprecated. As of release 3.1.1-incubating, replaced by `Column.keys`.
      Since:
        3.0.0-incubating

    - #### valueDecr

          @Deprecated
          public static final Order valueDecr

      Deprecated. As of release 3.1.1-incubating, replaced by `Column.values`.
      Since:
        3.0.0-incubating

    - #### shuffle

          public static final Order shuffle

      Order in a random fashion.
      Since:
        3.0.0-incubating

  - ### Method Detail

    - #### values

          public static Order[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Order c : Order.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Order valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### compare

          public abstract int compare(Object first,
                                      Object second)

      Specified by:
        `compare` in interface `Comparator<Object>`

    - #### reversed

          public abstract Order reversed()

      Produce the opposite representation of the current `Order` enum.
      Specified by:
        `reversed` in interface `Comparator<Object>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.